> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nectarclimate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Usage Data

> Delete a specific usage data entry by its ID. Demand usage data cannot be deleted through this endpoint.



## OpenAPI

````yaml /api-reference/openapi-v2-1.json delete /usage/{usage_data_id}
openapi: 3.1.0
info:
  title: Nectar API Documentation
  version: 1.0.0 (v1)
  description: >-
    Complete API documentation for v2.1 endpoints to managing companies, sites,
    data, and documents
servers:
  - url: https://external.nectarclimate.com/v2.1
    description: Nectar API Server
security: []
paths:
  /usage/{usage_data_id}:
    delete:
      tags:
        - Usage Data
      summary: Delete Usage Data
      description: >-
        Delete a specific usage data entry by its ID. Demand usage data cannot
        be deleted through this endpoint.
      operationId: usage_destroy
      parameters:
        - in: path
          name: usage_data_id
          schema:
            type: string
            format: uuid
          description: ID of the usage data entry to delete.
          required: true
      responses:
        '204':
          description: 'No content: The resource was successfully deleted.'
        '403':
          description: 'Forbidden: Access to the usage data is denied.'
        '404':
          description: Usage data not found.
      security:
        - ExternalAuthentication: []
components:
  securitySchemes:
    ExternalAuthentication:
      type: apiKey
      in: header
      name: X-API-KEY

````